WordPress 2.7 SVN headaches

When upgrading my blog to WordPress 2.7 using my favorite method (svn sw) I ran into the same problem plenty others were seeing from standard ftp upgrades. Namely: Fatal error: Call to undefined function: wp_remote_request() in /... path to blog .../blog/wp-includes/update.php on line 58. (See more about it here: http://wordpress.org/support/topic/224102?replies=36) I tried all sorts of craziness, including deleting everything but my uploads, my images and my custom theme, and then doing an svn up. Still no good. So finally, I got desparate. I did a fresh svn checkout of the 2.7 tag, copied my config, themes, uploads, images and plugins from the old version over, and all was good.

You can imagine, I am sure, that I was not really happy about the thought of going through the whole ordeal again for my wife’s blog. As fate would have it, svn sw worked like a charm on hers. Go figure.

No Responses so far

Comments are closed.

Comment RSS